minetest.register_node('furniture:table_basic', {
   _doc_items_crafting = 'This is crafted in the Woodworking Station.',
   description = 'Basic Table',
   drawtype = 'mesh',
   mesh = 'furniture_table_basic.obj',
   tiles = {'furniture_table_basic.png'},
   paramtype = 'light',
   paramtype2 = 'colorfacedir',
   palette = 'furniture_stain_palette.png',
   selection_box = {
      type = 'fixed',
      fixed = {-.5, -.5, -.5, 1.5, .5, .5},
      },
   collision_box = {
      type = 'fixed',
      fixed = {-.5, -.5, -.5, 1.5, .5, .5},
      },
   groups = {oddly_breakable_by_hand = 2, choppy=3, stainable=1},
   after_place_node = function(pos, placer, itemstack)
      if not epic.space_to_side(pos) then
         minetest.remove_node(pos)
         return itemstack
      end
   end,
   after_dig_node = function(pos, oldnode, oldmetadata, digger)
      epic.remove_side_node(pos, oldnode)
   end,
   on_rotate = function(pos, node)
      return false
   end,
})
